%global pypi_name django-secure

Name:           python-%{pypi_name}
Version:        1.0
Release:        3%{?dist}
Summary:        Utilities and a 'linter' to help you make your Django site more secure

License:        BSD
URL:            https://github.com/carljm/django-secure/
Source0:        https://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-sphinx
 
Requires:       python-django

%description
Helping you remember to do the stupid little things to improve your Django
site's security.

Inspired by Mozilla's `Secure Coding Guidelines`_, and intended for sites that
are entirely or mostly served over SSL (which should include anything with
user logins).

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# workaround to silence rpmlint
echo "# comment" >> djangosecure/models.py


%build
%{__python} setup.py build

# generate html docs 
sphinx-build doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc html README.rst LICENSE.txt
%{python_sitelib}/djangosecure
%{python_sitelib}/django_secure-%{version}-py?.?.egg-info

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 27 2013 Matthias Runge <mrunge@redhat.com> - 1.0-1
- Initial package.
